<?php
require_once '../../twig/Autoloader.php';
Twig_Autoloader::register();

$loader = new Twig_Loader_Filesystem('../../app/view/templates');
$twig = new Twig_Environment($loader, array(
    'cache' => '../../app/view/compilation_cache',
));

require_once '../model/dao/student-dao.php';
require_once '../model/db/db-web.php';

$dbh = new DB_WEB();

switch ($_GET['view']) 
{
	case 'list':
    $studentDAO = new StudentsDAO();
    $studentDAO->setDB($dbh);
    $studentList = $studentDAO->getStudents();
    
    echo $twig->render('students-list.html', array('studentList' => $studentList));

    break;
}

?>
