<?php

require_once '../model/db/db-web.php';
require_once '../model/domain/student.php';

class StudentsDAO 
{
  protected $dbh;
  
  public function setDB($dbh)
  {
    $this->dbh = $dbh;
  }
  
  public function getStudents() 
  {
    $students = array();

    $query = "SELECT * FROM student";
    $stmt = $this->dbh->executeQuery($query);
    
    while ($row = $stmt->fetchAssoc()) 
    {      
      $students[] = new Student($row['cislo'], $row['krestni'], $row['prijmeni'], $row['rocnik']);
    }      
    
    return $students;
  }  
}

?>
